Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 142)
@@ -584,5 +484,5 @@
     , masknan = masknan, trinan = trinan, _extra = ex
 ;------------------------------------------------------------
-; IV3) rappelle de plt en boucle qd contour est active
+; IV3) Recall of plt in loop when contour is activated.
 ;------------------------------------------------------------
   if n_elements(contour) eq 4 then BEGIN ; c''est la 2eme fois que je passe ds pltt
@@ -604,10 +504,10 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; V) petites finitions
-;------------------------------------------------------------
-;------------------------------------------------------------
-;
-;------------------------------------------------------------
-; V1) ajout eventuel de vecteurs en surimpression
+; V) Small functions
+;------------------------------------------------------------
+;------------------------------------------------------------
+;
+;------------------------------------------------------------
+; V1) Possible add of vectors in double exposure.
 ;------------------------------------------------------------
   if keyword_set(vecteur) then BEGIN 
@@ -619,10 +519,9 @@
   if keyword_set(overplot) then GOTO, fini
 ;------------------------------------------------------------
-; V2) Trace de la ligne de changement de date,l'equateur et
-; le meridien de greenwich, ...
+; V2) Trace the line of change of date, the equator and the greenwich meridian, ...
 ;------------------------------------------------------------
   if NOT keyword_set(map) AND key_onearth then meridienparallele, 'xy'
 ;------------------------------------------------------------
-; V3) pour tracer les continents d'IDL
+; V3) To trace IDL's continents
 ;------------------------------------------------------------
   if keyword_set(realcont) then BEGIN
@@ -647,9 +546,9 @@
   ENDIF
 ;------------------------------------------------------------
-; V4) legendes + affichage de celles-ci
+; V4) caption + display of these.
 ;------------------------------------------------------------
   legende, mi, ma, 'xy', CONTOUR = pourlegende, VECTLEGENDE = vectlegende, INTERVALLE = intervalle, DIREC = direc, _EXTRA = ex
   if n_elements(ex) NE 0 then BEGIN 
-; pour garder les axes du cadre en noir
+; To keep frame's axes in black
     if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = coast_color
   endif
@@ -681,5 +580,5 @@
   endcase
 ;------------------------------------------------------------
-; V5) barre de couleur
+; V5) Colorbar.
 ;------------------------------------------------------------
   colnumb = colnumb[0:ncontour-1-keyword_set(strictfill)]
@@ -688,5 +587,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; VI) impression eventuelle
+; VI) Possible print.
 ;------------------------------------------------------------
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 142)
@@ -1,157 +1,109 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;	PLT1D
-;
-; PURPOSE:
-;	trace des graphes 1d
-;
-; CATEGORY:
-;       Graphics, trace des graphes 1d: x,y,z (ou t mais ds ce cas, on
-;       rapelle directement pltt)
-;
-; CALLING SEQUENCE:
-;	plt1d, champ,type [,min[, max]]
-;
-; INPUTS:
-;	champ: le champ dont on veut faire le hovmoller champ
-;	peut etre de 2 types:
-;	1) un tableu qui peut etre:
-;          * 2d, 3d ou 4d:  tableau xy, xyz. xyt ou xyzt. dans ce cas,
-;            le tableau va passer dans moyenne ou grossemoyenne pour
-;            etre moyennee et devenir un tableau 1 1d. 
-;          * 1d:type doit qd meme etre specifie pour qu''on sache de
-;          quel trace il sagit. Pour avoir une legende correcte,
-;          respecifier la zone d''extraction via BOXZOOM
-;       2) une structure repondant aux critaires specifies par
-;       litchamp.pro. cf. IDL> xhelp,'litchamp'. Le tableau contennu ds
-;       la structure repondant aux criteres du cas 1) cf. ci-dessus
-;
-;       TYPE: un string: type de plot 1d que l''on veut faire:
-;       trace suivant: 'x','y','z'  
-;
-; ces arguments ne sont pas obligatoires:
+;
+; @file_comments
+; Trace 1d graphes: x,y,z (or t but in this case, we recall directly pltt)
+;
+; @categories
+; Graphics
+;
+; @param TAB {in}{required} 
+; The field whose we want to make the hovmoller map can be 2 kind of thing:
+;	1) An array which can be:
+;          * 2d, 3d or 4d:  array xy, xyz. xyt or xyzt. In this case, the array will pass 
+;          in moyenne or grossemoyenne to be averaged and becomme  an array 1d. 
+;          * 1d:Nevertheless, the type must be specified in order to we know which trace 
+;          it is about. To have a correct caption, respecify the  xctraction zone via BOXZOOM.
+;       2) a structure respecting all criterions specified by litchamp.pro. 
+;          See IDL> xhelp,'litchamp'. The array contained in the structure 
+;          respecting criterions of case 1) 
+;
+; @param PARAM2 {in}{required} 
+; Min value we want to consider in the contour's drawing.
+; Note: could also be the type of plot:'x','y','z'
 ;  
-;	MAX: valeur maximum que l'on veut prendre en compte dans le trace
-; du plot. Par defaut on prend le max de tableau (sur les pts mer)
-;
-;	MIN: valeur minimum que l'on veut prendre en compte dans le trace
-; du plot. Par defaut on prend le min de tableau (sur les pts mer)
-;
-; KEYWORD PARAMETERS:
-;
-;	BOXZOOM:vecteur indiquant la zone geographique (3d) sur laquelle doit
-; etre fait l''extraction du champ pour faire le hovmoeller.
-; Si BOXZOOM a :
-; 1 element : l''extraction est faite sur [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
-; 2 elements: l''extraction est faite sur [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
-; 4 elements: l''extraction est faite sur [Boxzoom, vert1, vert2]
-; 5 elements: l''extraction est faite sur [Boxzoom[0:3], 0, Boxzoom[4]]
-; 6 elements: l''extraction est faite sur Boxzoom
-;
-; Ou lon1, lon2,lat1,lat2,vert1,vert2 sont les variables globales
-; definies lors du dernier domdef!
-;
-;       COL1d: --OBSOLETE--numero de la couleur qd on fait un trace 1d
-;       par defaut, 0. il faut mieux utiliser le mot cle COLOR utilise
-;       par plot
-;
-;       ENDPOINTS: mot clef specifiant que l'on veut faire une coupe
-;       verticale en diagonale. les coordonnees des extremites de
-;       celle-ci sont alors definies les 4 elements du vecteur
-;       ENDPOINTS: [x1,y1,x2,y2] qui sont les coordonnees 
-;
-;	/LANDSCAPE: oblige la feuille ou le fenetre a l''ecran a etre
-;	en position "allongee".
-;	
-;       MAXIN: permet de specifier la valeur maximum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument max. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;
-;       MININ: permet de specifier la valeur minimum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument min. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;
-;       /NOERASE: activer pour faire un dessin a l''ecran sans creer
-; une nouvelle fenetre. Rq: activer ds le cas d''un Postscript de
-; plusieurs traces de type 't' pour ne pas faire un Postscript de
-; plusieurs pages 
-;
-;       /OV1D:permet de surimprimer un courbe 1d a un precedent trace 1d.
-;
-;	PETITDESSIN: vecteur de 3 ou 4 elements, applique pour faire un
-; dessin sur une petite portion de feuille ou d''ecran. il delimite
-; la zone ds laquelle va etre fait le dessin
-; si il a 4 elements:
-;       il est alors constitute des coordonnees -exprime en cm reperes par
-;       rapport au coin en bas a gauche de la feuille ou de la fenetre
-;       (en portrait comme en landscape)- du coin en bas a
-;       gauche et du coin en haut a droite  de la zone de dessin.
-; si il a 3 elements:
-;       Ds ce cas, on divise la fenetre ou l''ecran en PETITDESSIN[0]
-;       colonnes, en PETITDESSIN[1] lignes le dessin se faisant ds la
-;       case numero PETITDESSIN[2].La numerotation commencant en haut
-;       a gauche par le numero 1 et suivant apres dans le sens de
-;       l''ecriture.
-; Par defaut on fait un dessin occupant la plus grande place possible
-; tout en concervant le rapport d''aspect (sauf qd REMPLI est active)
-;
-;	/PORTRAIT: oblige la feuille ou la fenetre a etre en position "debout".
-;
-;	/POST: faire une sortie postscript. Ne marche que si on fait
-;	un seul dessin sur la feuille. Si on fait plusieurs dessins,
-;	utiliser @ps ou plein2dessins
-;
-;	/REMPLI:oblige le dessin a occuper l'espace maximum definit
-;	par petitdessin
-;
-;       /REVERSE_X: pour inverser l''axe des x (et aussi le dessin)
-;
-;       /REVERSE_Y: pour inverser l''axe des y (et aussi le dessin)
-;
-;       /SIN: activer ce mot cle si l''on veut que l'' axe des x soit
-;       trace en sinus de la latitude qd on fait un frace f(y)
-;
-;       STY1D: --OBSOLETE--numero du style utilise lors d'un trace
-;       1d. Il faut mieux utiliser le mot cle LINESTYLE qui est celui
-;       de plot. Attention ce mot cle est encore utile si on veut
-;       faire des barres plutot qu'un courbe, mettre sty1d='bar'
-;
-;	/TRANS: fait un postscript (active /post automatiquement) et l'imprime
-; -si on le desire- sur un transparant
-;
-;	WINDOW: nimero de la fenetre ou l'on veut faire le graphe (permet
-; d'ouvrir plusieurs fenetres). par defaut on ouvre 'IDL0'
-;
-;	YXASPECT: rapport d'echelle entre y et x. Par defaut=1
-; Par defaut on adapte pour occupe une grande partie de la feuille en sortie
-; postScript ou pour cree une fenetre pas trop etiree
-;
-;       /ZEROMIDDLE: fo force the middle of the colorbar to be equal
-;       to 0 (force max=max(abs([min,max])) and min=-max)
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: creation 24/6/99 Eric Guilyardi 
-;                       (a partir routine pltt de Sebastien Masson)
+; @param PARAM3 {in}{optional}{default=min/max of tab (on ocean points)} 
+; Max value we want to consider in the contour's drawing.
+; Note: if param2 is defined as 'x','y','z' then param3 is used to define the min (see param2)
+;
+; @param PARAM4 {in}{optional}{default=max of tab (on ocean points)} 
+; Type of plot (can be only 'x','y','z' for plt1d).
+; Note: if param2 is defined as 'xy' then param4 is used to define the max (see param3)
+;
+; @keyword BOXZOOM
+; Vector indicating the geographique zone (3d) on which the extraction of the field must 
+; be done to do the hovmoeller.
+;  If BOXZOOM has :
+; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+; 2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+; 4 elements: The extraction is made on [Boxzoom, vert1, vert2]
+; 5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+; 6 elements: The extraction is made on Boxzoom
+;
+; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last domdef!
+;
+; @keyword COL1d
+;  --OBSOLETE--Color number when we make a trace 1d by default, 0.It is better to use the 
+; keyword COLOR used by plot.
+;
+; @keyword ENDPOINTS 
+; keyword specifing that we want to make a vertical cut in diagonal. Then coorinated of extremities 
+; of these one are difined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
+; coordinates.
+;
+; @keyword MAXIN 
+; Allows to specify the max value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument max. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword MININ 
+; Allows to specify the min value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument min. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword OV1D
+; Allow the double exposure of an 1d curve to a precedent 1d trace.
+;
+; @keyword REVERSE_X 
+; To invert the x axis (so as the drawing)
+;
+; @keyword REVERSE_Y 
+; To invert the y axis (so as the drawing)
+;
+; @keyword SIN 
+; Activate this keyword if we want the x axis to be traced in sinus of the 
+; latitude when we make a drawing f(y)
+;
+; @keyword STY1D 
+; --OBSOLETE--
+; Number of the style used when we make a 1d drawing. We should better use the 
+; keyword LINESTYLE which is tho one of the plot. Beware, this keyword is still 
+; useful if we want to d bars instead of curves, put sty1d='bar'
+;
+; @keyword TYPEIN
+; allows to specify the type of hovmoller we want to do
+;             'xt','yt','zt','t'  
+; with help of a keyword rather than the argument type. If the argument andthe 
+; keyword are specified in the same time, it is the value specified by the 
+; keyword which is retained.
+;
+; @keyword _EXTRA 
+; used to pass your keywords
+;
+; @history 
+; creation 24/6/99 Eric Guilyardi 
+; (a partir routine pltt de Sebastien Masson)
 ; 8/7/1999 Sebastien Masson (smasson@lodyc.jussieu.fr) 
 ; inspection des travaux finis
 ; 8/2/2000 Sebastien Masson: checkfield
+;
+; @version 
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-pro plt1d, tab, giventype, givenmin, givenmax, BOXZOOM = boxzoom, SIN = sin $
+pro plt1d, tab, param2, param3, param4, BOXZOOM = boxzoom, SIN = sin $
            , MININ = minin, MAXIN = maxin, TYPEIN = typein, ENDPOINTS = endpoints $
            , COL1D = col1d, STY1D = sty1d, OV1D = ov1d, X = x, Y = y, Z = z, TT = tt $
@@ -172,14 +124,14 @@
   tempsun = systime(1)          ; pour key_performance
 ;--------------------------------------------------------------
-; 1ere partie: initialisation et petits calculs...
-;--------------------------------------------------------------
-;--------------------------------------------------------------
-;--------------------------------------------------------------
-; verification de la valeur de type
-;--------------------------------------------------------------
-;
-  if n_elements(giventype) NE 0 then type = giventype
-  if n_elements(givenmin) NE 0 then min = givenmin
-  if n_elements(givenmax) NE 0 then max = givenmax
+; 1st part: initialization small calculations...
+;--------------------------------------------------------------
+;--------------------------------------------------------------
+;--------------------------------------------------------------
+; verification of the type's value
+;--------------------------------------------------------------
+;
+  if n_elements(param2) NE 0 then type = param2
+  if n_elements(param3) NE 0 then min = param3
+  if n_elements(param4) NE 0 then max = param4
   if n_elements(minin) NE 0 then min = minin
   if n_elements(maxin) NE 0 then max = maxin
@@ -201,10 +153,10 @@
   endif
 ;--------------------------------------------------------------
-; I2) reinitialisation. !p.,!x.,!y.
-; Rq: on ne reinitialise pas qd on rapelle plt1d
+; I2) reinitialization. !p.,!x.,!y.
+; Comment: We do not reinitializate when we call back plt1d
 ;--------------------------------------------------------------
   if NOT keyword_set(ov1d) then reinitplt
 ;--------------------------------------------------------------
-; I1) lecture du champ
+; I1) Reading of the field
 ;--------------------------------------------------------------
    if (keyword_set(boxzoom) OR keyword_set(endpoints)) THEN BEGIN
@@ -233,7 +185,7 @@
     IF keyword_set(savedbox) THEN restoreboxparam, 'boxparam4plt1d.dat'
     return
-  endif
-; on construit le mask pour cela le tableau doit etre masque (fait
-; automatiquement a la valeure valmask si on passe ds moyenne ou grossemoyenne)
+endif
+; We build the mask. For this, the array must be hidden (Automaticaly done at valmask 
+; value if we pass in moyenne or grossemoyenne)
   mask = fltarr(n_elements(z1d))
   if n_elements(valmask) EQ 0 then valmask = 1e20
@@ -246,5 +198,5 @@
   ENDIF ELSE mask[where(z1d LT valmask/10)] = 1
 ;-----------------------------------------------------------------------------
-; determination du min et du max apres la moyenne
+; determination of the min and of the max after the average
 ;-----------------------------------------------------------------------------
   nan = total(finite(z1d, /nan)) < 1
@@ -256,11 +208,11 @@
 ;--------------------------------------------------------------
 ;--------------------------------------------------------------
-; 2eme partie: dessin
-;--------------------------------------------------------------
-;-----------------------------------------------------------------------------
-; definition des vecteurs abscisse et ordonee
-; la triangulation est definie pour que le trace soit effectue du bas
-; a gauche vers le haut a droite. il faut donc la matrice e contourer
-; se presente de cette maniere, d''ou certains transpose et reverse
+; 2nd part: Drawing
+;--------------------------------------------------------------
+;-----------------------------------------------------------------------------
+; definition of the abscisse and ordinate vectors.
+; The triangulation is defined in order to the drawing be done from the 
+; left bottom to the right up. So the matrix have to be shown like this, 
+; from which some transpose and reverse
 ;-----------------------------------------------------------------------------
 ;-----------------------------------------------------------------------------
@@ -299,5 +251,5 @@
 ;-----------------------------------------------------------
 ;-----------------------------------------------------------
-;   definition des axes
+;   definition of axes
 ;----------------------------------------------------------
 ;    if keyword_set(integrationtps) then axe, type, time[0], time[jpt-1], SIN = sin, _extra = ex $
@@ -306,5 +258,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; dessin
+; drawing
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -345,5 +297,5 @@
   yy = yy[idx]
   if (not keyword_set(col1d)) then col1d = 0
-  if keyword_set(sty1d) then BEGIN ;si on veut faire des barres
+  if keyword_set(sty1d) then BEGIN ;If we want to make bars
     IF strlowcase(strtrim(sty1d)) EQ 'bar' then begin
       !y.range = [!y.range[0]-(!y.range[1]-!y.range[0])*.05, !y.range[1]] 
@@ -352,5 +304,5 @@
         colors    = replicate(col1d, n_elements(yy)), /outline
       if n_elements(ex) NE 0 then BEGIN 
-; pour avoir un cadre de la couleur noire
+; To have a black frame
         if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = 0
       ENDIF
@@ -364,5 +316,5 @@
     plot, xx, yy, color = col1d, linestyle = sty1d, thick = 2, title = '', subtitle = '', _extra = ex
     if n_elements(ex) NE 0 then BEGIN 
-; pour avoir un cadre de la couleur 0 et trace une ligne a y=0
+; To have a 0 colored frame and trace a line at y=0
       if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = 0
       if (where(tag_names(ex) EQ 'LINESTYLE'))[0] NE -1 then ex.LINESTYLE = 0
@@ -373,12 +325,12 @@
                       ((type EQ 'x' AND lat1 NE lat2) OR (type EQ 'y' AND lon1 NE lon2))) $
       , ystyle = 1, _extra = ex
-; ajout d'un axe ds le cas ou l'on utilise endpoints
+; Add of an axis in the case where we use endpoints
     if keyword_set(endpoints) then addaxe, endpoints, type, posfenetre, _EXTRA = ex
-; trace une ligne a x=0
+; Trace a line at x=0
     plot, [0, 0], !y.range, /noerase, /nodata, title = '', subtitle = '', _extra = ex
   ENDIF ELSE oplot, xx, yy, color = col1d, linestyle = sty1d, thick = 2, _extra = ex
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; 3eme partie: impression eventuelle
+; 3rd part: Possible print.
 ;------------------------------------------------------------
 ;------------------------------------------------------------
